---
search:
  tags:
    - Orders
    - PATCH
seo:
  description: >-
    Update a held order. Reference for the PATCH
    /v1/organizations/{orgId}/orders/{orderId} endpoint in the Stashtab Vault
    Warehouse API.
sidebar:
  label: Update a held order
  badge: PATCH
title: Update a held order
type: openapi-operation
---
`PATCH /v1/organizations/{orgId}/orders/{orderId}`

**Request body** (`application/json`, required)

- `changes` (object, required)
- `expectedRevision` (string, required)
- `submissionKey` (string, required)

Request body example:

```json
{
  "changes": {
    "customerNotes": "string",
    "lines": [
      {
        "declaredUnitValue": {
          "amount": "string"
        },
        "name": "string",
        "productId": "string",
        "quantity": 1,
        "sku": "string",
        "unitPrice": "string"
      }
    ],
    "recipient": {
      "addressLine1": "string",
      "addressLine2": "string",
      "addressLine3": "string",
      "city": "string",
      "company": "string",
      "companyName": "string",
      "contactName": "string",
      "country": "string",
      "countryCode": "string",
      "email": "string",
      "name": "string",
      "phone": "string",
      "postalCode": "string",
      "region": "string",
      "state": "string",
      "street1": "string",
      "street2": "string",
      "street3": "string"
    },
    "requestedShippingService": "string"
  },
  "expectedRevision": "string",
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "order": {
      "id": "string",
      "revision": "string"
    }
  },
  "meta": {
    "requestId": "string"
  }
}
```
